import {ref} from "vue";
enum errorType {Error, Warning}

function addNewError(errorMessage: string, timeout?: number, type?: errorType){
    if (timeout == null){
        timeout = 5000;
    }
    if (type == null){
        type = Error;
    }
    errorList.value.push({errorMessage: errorMessage, timeout: timeout, type: type})
    setTimeout(() => errorList.value.pop(errorMessage), 5000)
}

const errorList = ref([])

export {addNewError, errorList}